# ----
# KVM On Power spec file
# ----

# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

# Use MD5 for file digest (backwards compatible)
%global _binary_filedigest_algorithm 1
%global _source_filedigest_algorithm 1

# use gzip compression level 9
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio

%define pkvm_version 3.4.4.0
%define pkvm_release 31
%define pkvm_respin .0

Name:      ibm-powerkvm-tools
Version:   %{pkvm_version}
Release:   %{pkvm_release}%{?pkvm_respin}%{?dist}
License:   EPL
Obsoletes: powerkvm-installer
Vendor:    IBM
Packager:  LTC
Group:     Application
Summary:   %{label} tools
Source:    ibm-powerkvm-tools.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  ibm-powerkvm-common

%description
%{label} common tool

%prep
%setup -n %{name}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
cp -a ./ %{buildroot}
find %{buildroot} -name .gitignore -exec rm {} \;

ln -sf /usr/bin/ibm-configure-system %{buildroot}/usr/bin/configure-system

%post

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/ibm/powerkvm
/opt/ibm/powerkvm/ui/*
/opt/ibm/powerkvm/scripts/updater.py
/usr/bin/ibm-configure-system
/usr/bin/ibm-update-system
/usr/bin/configure-system
